org.apache.maven.scm.command.unedit

## Class UnEditScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.unedit.UnEditScmResult

- All Implemented Interfaces:
    Serializable

      public class UnEditScmResult
      extends ScmResult

  Version:
    $Id: UnEditScmResult.java 685539 2008-08-13 13:27:27Z vsiveton $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnEditScmResult(List unEditFiles, ScmResult result)`
    `UnEditScmResult(String commandLine, List unEditFiles)`
    `UnEditScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getUnEditFiles()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnEditScmResult

          public UnEditScmResult(String commandLine,
                         String providerMessage,
                         String commandOutput,
                         boolean success)

    - #### UnEditScmResult

          public UnEditScmResult(String commandLine,
                         List unEditFiles)

    - #### UnEditScmResult

          public UnEditScmResult(List unEditFiles,
                         ScmResult result)

  - ### Method Detail

    - #### getUnEditFiles

          public List getUnEditFiles()

Copyright © 2003–2015. All rights reserved.